# Generated by rust2rpm 25
%bcond_without check

%global crate startup-disk

Name:           rust-startup-disk
Version:        0.1.2
Release:        %autorelease
Summary:        Interface to choose the startup volume on Apple Silicon systems

License:        MIT
URL:            https://crates.io/crates/startup-disk
Source:         %{crates_source}
# Fix release dates in AppData
Patch:          https://gitlab.gnome.org/davide125/startup-disk/-/commit/297a385fd9b22eb5e8a43fa39d7e5ca0c5747415.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Startup Disk provides a simple interface to choose the startup volume on Apple
Silicon Macs running Asahi Linux.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
# Zlib
License:        (Apache-2.0 OR MIT) AND MIT AND (MIT OR Apache-2.0) AND (Unlicense OR MIT) AND Zlib
# LICENSE.dependencies contains a full license breakdown
Requires:       hicolor-icon-theme
Requires:       polkit
Requires:       sudo

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/startup-disk
%{_datadir}/applications/org.gnome.StartupDisk.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.StartupDisk.svg
%{_datadir}/polkit-1/actions/org.gnome.StartupDisk.policy
%{_metainfodir}/org.gnome.StartupDisk.metainfo.xml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'make'
%if %{with check}
echo 'desktop-file-utils'
echo 'libappstream-glib'
%endif

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
make install-data DESTDIR="%{buildroot}" DATADIR="%{_datadir}"

%if %{with check}
%check
%cargo_test
make check-data
%endif

%changelog
%autochangelog
